Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Timur Tabi <[email-masked]>
Date: Thu, 05 Jun 2008 11:40:37 -0500

Grant Likely wrote:

> 2) for i2c purposes, explicit enumeration is not needed or desired.
> All the necessary data is already present in the device tree in that
> i2c device nodes are children of i2c bus nodes.  The i2c bus numbers
> should be dynamically assigned.

NACK.  For ASoC driver, they cannot be dynamically assigned.  I2C1 must be
labeled as such.

-- 
Timur Tabi
Linux kernel developer at Freescale